org.eclipse.aether.util.graph.transformer

## Class ConflictResolver.ScopeContext

- java.lang.Object
- - org.eclipse.aether.util.graph.transformer.ConflictResolver.ScopeContext

- Enclosing class:
    ConflictResolver

      public static final class ConflictResolver.ScopeContext
      extends Object

  A context used to hold information that is relevant for deriving the scope of a child dependency.
  See Also:
    `ConflictResolver.ScopeDeriver`
  Restriction:
    This class is not intended to be instantiated by clients in production code, the constructor may change without notice and only exists to enable unit testing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConflictResolver.ScopeContext(String parentScope, String childScope)` Creates a new scope context with the specified properties.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChildScope()` Gets the original scope of the child dependency.
    `String` | `getDerivedScope()` Gets the derived scope of the child dependency.
    `String` | `getParentScope()` Gets the scope of the parent dependency.
    `void` | `setDerivedScope(String derivedScope)` Sets the derived scope of the child dependency.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConflictResolver.ScopeContext

          public ConflictResolver.ScopeContext(String parentScope,
                                       String childScope)

      Creates a new scope context with the specified properties.
      Parameters:
        `parentScope` - The scope of the parent dependency, may be `null`.
        `childScope` - The scope of the child dependency, may be `null`.
      Restriction:
        This class is not intended to be instantiated by clients in production code, the constructor may change without notice and only exists to enable unit testing.

  - ### Method Detail

    - #### getParentScope

          public String getParentScope()

      Gets the scope of the parent dependency. This is usually the scope that was derived by earlier invocations of the scope deriver.
      Returns:
        The scope of the parent dependency, never `null`.

    - #### getChildScope

          public String getChildScope()

      Gets the original scope of the child dependency. This is the scope that was declared in the artifact descriptor of the parent dependency.
      Returns:
        The original scope of the child dependency, never `null`.

    - #### getDerivedScope

          public String getDerivedScope()

      Gets the derived scope of the child dependency. This is initially equal to `getChildScope()` until the scope deriver makes changes.
      Returns:
        The derived scope of the child dependency, never `null`.

    - #### setDerivedScope

          public void setDerivedScope(String derivedScope)

      Sets the derived scope of the child dependency.
      Parameters:
        `derivedScope` - The derived scope of the dependency, may be `null`.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.